<?xml version="1.0" encoding="UTF-8"?>
<con:soapui-project id="767a0605-ab70-4d28-9577-368c99254206" activeEnvironment="Default" name="SoapUI_IT_GitLabProject" resourceRoot="" soapui-version="5.7.0" abortOnError="false" runType="SEQUENTIAL" xmlns:con="http://eviware.com/soapui/config"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.actions.iface.tools.soapui.LoadTestRunnerAction@values-local"><![CDATA[<xml-fragment xmlns:con="http://eviware.com/soapui/config">
  <con:entry key="Print Report Statistics" value="false"/>
  <con:entry key="Report Format(s)" value=""/>
  <con:entry key="Host:Port" value=""/>
  <con:entry key="Save After" value="false"/>
  <con:entry key="Add Settings" value="false"/>
  <con:entry key="WSS Password Type" value=""/>
  <con:entry key="TestSuite" value="&lt;all>"/>
  <con:entry key="Endpoint" value=""/>
  <con:entry key="System Properties" value=""/>
  <con:entry key="Report to Generate" value=""/>
  <con:entry key="Password" value=""/>
  <con:entry key="LoadTest" value="&lt;all>"/>
  <con:entry key="Open Report" value="false"/>
  <con:entry key="Global Properties" value=""/>
  <con:entry key="Project Properties" value="project_id=29428053"/>
  <con:entry key="ThreadCount" value=""/>
  <con:entry key="Project Password" value=""/>
  <con:entry key="TestCase" value="&lt;all>"/>
  <con:entry key="Username" value=""/>
  <con:entry key="user-settings.xml Password" value=""/>
  <con:entry key="TestRunner Path" value="C:\Users\jbelorgane\AppData\Local\Programs\SmartBear\SoapUI-5.7.0/bin"/>
  <con:entry key="Environment" value="Default"/>
  <con:entry key="Limit" value=""/>
  <con:entry key="Root Folder" value=""/>
  <con:entry key="Domain" value=""/>
  <con:entry key="Tool Args" value=""/>
  <con:entry key="Save Project" value="false"/>
</xml-fragment>]]></con:setting><con:setting id="com.eviware.soapui.impl.wsdl.actions.iface.tools.soapui.TestRunnerAction@values-local"><![CDATA[<xml-fragment xmlns:con="http://eviware.com/soapui/config">
  <con:entry key="Report Format(s)" value=""/>
  <con:entry key="Host:Port" value=""/>
  <con:entry key="Export JUnit Results" value="true"/>
  <con:entry key="Export All" value="false"/>
  <con:entry key="Save After" value="false"/>
  <con:entry key="Add Settings" value="false"/>
  <con:entry key="WSS Password Type" value=""/>
  <con:entry key="TestSuite" value="&lt;all>"/>
  <con:entry key="Endpoint" value=""/>
  <con:entry key="Select Report Type" value=""/>
  <con:entry key="System Properties" value=""/>
  <con:entry key="Password" value=""/>
  <con:entry key="Print Report" value="true"/>
  <con:entry key="Open Report" value="false"/>
  <con:entry key="Export JUnit Results with test properties" value="true"/>
  <con:entry key="Global Properties" value=""/>
  <con:entry key="Project Properties" value=""/>
  <con:entry key="Project Password" value=""/>
  <con:entry key="TestCase" value="&lt;all>"/>
  <con:entry key="Username" value=""/>
  <con:entry key="user-settings.xml Password" value=""/>
  <con:entry key="TestRunner Path" value=""/>
  <con:entry key="Environment" value="Default"/>
  <con:entry key="Coverage Report" value="false"/>
  <con:entry key="Enable UI" value="false"/>
  <con:entry key="Root Folder" value=""/>
  <con:entry key="Ignore Errors" value="false"/>
  <con:entry key="Domain" value=""/>
  <con:entry key="Tool Args" value=""/>
  <con:entry key="Save Project" value="false"/>
</xml-fragment>]]></con:setting></con:settings><con:interface xsi:type="con:RestService" id="8580991a-308b-4468-8760-34d59fc49c84" wadlVersion="http://wadl.dev.java.net/2009/02" name="https://gitlab.com" type="rest" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:settings/><con:definitionCache type="TEXT" rootPart=""/><con:endpoints><con:endpoint>https://gitlab.com</con:endpoint></con:endpoints><con:resource name="RESOURCE_project_id_Template" path="/api/v4/projects/{project_id}" id="55140d9f-851a-48ad-a257-c216c5c91fe3"><con:settings/><con:parameters><con:parameter><con:name>project_id</con:name><con:value/><con:style>TEMPLATE</con:style><con:default/><con:description xsi:nil="true"/></con:parameter></con:parameters><con:method name="GET_id_36483577" id="fc1399a8-5838-42c5-88b9-ff180103c251" method="GET"><con:settings/><con:parameters/><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:ns="https://gitlab.com/api/v4/projects/29428053">ns:Response</con:element></con:representation><con:representation type="RESPONSE"><con:mediaType>text/html</con:mediaType><con:status>200</con:status><con:params/><con:element>html</con:element></con:representation><con:representation type="FAULT"><con:mediaType>text/html; charset=UTF-8</con:mediaType><con:status>503</con:status><con:params/><con:element>html</con:element></con:representation><con:representation type="FAULT"><con:mediaType>application/json</con:mediaType><con:status>404</con:status><con:params/><con:element xmlns:ns="https://gitlab.com/api/v4/projects/29428053">ns:Fault</con:element></con:representation><con:request name="REQ_id_36483577" id="f7732c63-f9fe-4480-a644-f9b183b0e930" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>https://gitlab.com</con:endpoint><con:request/><con:originalUri>https://gitlab.com/api/v4/projects/29428053</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="project_id" value="36483577" xmlns="http://eviware.com/soapui/config"/></con:parameters><con:parameterOrder><con:entry>project_id</con:entry></con:parameterOrder></con:request></con:method></con:resource></con:interface><con:testSuite id="8c2ab67a-1063-4dd0-908f-3cb83124389b" name="TestSuiteNo1 SoapUI Katalon JDD OK"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="371ed203-50d7-4826-a83d-5107a0c1a78f" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCaseNo11_SoapUI_OK" searchProperties="true"><con:settings/><con:testStep type="properties" name="JDD_No11_SoapUI" id="9dbc898c-ce58-4457-852c-6ef7be504c5b"><con:settings/><con:config xsi:type="con:PropertiesStep" saveFirst="true" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:properties><con:property><con:name>project_id</con:name><con:value>36483577</con:value></con:property><con:property><con:name>project_name</con:name><con:value>Soapui Samples</con:value></con:property></con:properties></con:config></con:testStep><con:testStep type="restrequest" name="REST Request No111 SoapUI JDD" id="692ee80a-6ffb-4b05-beb3-14701018b361"><con:settings/><con:config service="https://gitlab.com" resourcePath="/api/v4/projects/{project_id}" methodName="GET_id_36483577" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="REST Request No1 SoapUI" id="f7732c63-f9fe-4480-a644-f9b183b0e930" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>https://gitlab.com</con:endpoint><con:request/><con:originalUri>https://gitlab.com/api/v4/projects/29428053</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="47f48d84-1068-4b3b-8ed1-3c19c64431c6" name="Valid HTTP Status Codes"><con:configuration><codes>200</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="d85c6249-2df8-45f2-8f13-8f87f0418fbf" name="Contains"><con:configuration><token>"${JDD_No11_SoapUI#project_name}"</token><ignoreCase>true</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="project_id" value="${JDD_No11_SoapUI#project_id}" xmlns="http://eviware.com/soapui/config"/></con:parameters><con:parameterOrder><con:entry>project_id</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="94f257b1-269a-4d83-8beb-520e00410c31" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCaseNo12_Katalon_OK" searchProperties="true"><con:settings/><con:testStep type="properties" name="JDD_No12_Katalon" id="1f759fa7-100d-4d51-8bdc-2cf1bc8e022d"><con:settings/><con:config xsi:type="con:PropertiesStep" saveFirst="true" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:properties><con:property><con:name>project_id</con:name><con:value>31338079</con:value></con:property><con:property><con:name>project_name</con:name><con:value>katalon-samples</con:value></con:property></con:properties></con:config></con:testStep><con:testStep type="restrequest" name="REST Request No121 Katalon JDD" id="31ba1f13-b7b4-4aa3-b11a-3829dd5c0ed8"><con:settings/><con:config service="https://gitlab.com" resourcePath="/api/v4/projects/{project_id}" methodName="GET_id_36483577" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="REST Request No1 Katalon" id="f7732c63-f9fe-4480-a644-f9b183b0e930" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>https://gitlab.com</con:endpoint><con:request/><con:originalUri>https://gitlab.com/api/v4/projects/29428053</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="47f48d84-1068-4b3b-8ed1-3c19c64431c6" name="Valid HTTP Status Codes"><con:configuration><codes>200</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="d85c6249-2df8-45f2-8f13-8f87f0418fbf" name="Contains"><con:configuration><token>"${JDD_No12_Katalon#project_name}"</token><ignoreCase>true</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="project_id" value="${JDD_No12_Katalon#project_id}" xmlns="http://eviware.com/soapui/config"/></con:parameters><con:parameterOrder><con:entry>project_id</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:properties/></con:testSuite><con:testSuite id="aa93984f-0211-4ca1-bad7-28b14a377f80" name="TestSuiteNo2 Postman TC JDD OK"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="fa2f5d14-b377-4128-9f56-b51f1c93da99" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCaseNo21_Postman_TC_JDD_OK" searchProperties="true"><con:settings/><con:testStep type="properties" name="JDD_No21_Postman" id="f65f0de6-ad9f-4ff9-b935-c0d97cf09cbc"><con:settings/><con:config xsi:type="con:PropertiesStep" saveFirst="true" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:properties><con:property><con:name>project_id</con:name><con:value>29428053</con:value></con:property><con:property><con:name>project_name</con:name><con:value>postman-samples</con:value></con:property></con:properties></con:config></con:testStep><con:testStep type="restrequest" name="REST Request No211 Postman TC JDD" id="3b36bbd6-7909-4ca2-8989-087ea783874c"><con:settings/><con:config service="https://gitlab.com" resourcePath="/api/v4/projects/{project_id}" methodName="GET_id_36483577" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="REST Request No3 Postman" id="f7732c63-f9fe-4480-a644-f9b183b0e930" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>https://gitlab.com</con:endpoint><con:request/><con:originalUri>https://gitlab.com/api/v4/projects/29428053</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="47f48d84-1068-4b3b-8ed1-3c19c64431c6" name="Valid HTTP Status Codes"><con:configuration><codes>200</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="d85c6249-2df8-45f2-8f13-8f87f0418fbf" name="Contains"><con:configuration><token>"${#TestCase#TC21_project_name}"</token><ignoreCase>true</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="project_id" value="${#TestCase#TC21_project_id}" xmlns="http://eviware.com/soapui/config"/></con:parameters><con:parameterOrder><con:entry>project_id</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:properties><con:property><con:name>TC21_project_id</con:name><con:value>${JDD_No21_Postman#project_id}</con:value></con:property><con:property><con:name>TC21_project_name</con:name><con:value>${JDD_No21_Postman#project_name}</con:value></con:property></con:properties></con:testCase><con:properties/></con:testSuite><con:testSuite id="91c891b1-65e7-4610-b964-3aa83acb142b" name="TestSuiteNo3 Postman TC Project Properties OK"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="8c2f7732-8183-4452-9952-e4dcef1eeadb" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCaseNo31_TC_Project_Properties_OK" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="REST Request No311 TC Project Properties" id="5c2ce525-adfa-417b-ab0d-3597a44f352d"><con:settings/><con:config service="https://gitlab.com" resourcePath="/api/v4/projects/{project_id}" methodName="GET_id_36483577" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="REST Request No4 Project_Properties" id="f7732c63-f9fe-4480-a644-f9b183b0e930" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>https://gitlab.com</con:endpoint><con:request/><con:originalUri>https://gitlab.com/api/v4/projects/29428053</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="47f48d84-1068-4b3b-8ed1-3c19c64431c6" name="Valid HTTP Status Codes"><con:configuration><codes>200</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="d85c6249-2df8-45f2-8f13-8f87f0418fbf" name="Contains"><con:configuration><token>"${#TestCase#TC31_project_name}"</token><ignoreCase>true</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="project_id" value="${#TestCase#TC31_project_id}" xmlns="http://eviware.com/soapui/config"/></con:parameters><con:parameterOrder><con:entry>project_id</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:properties><con:property><con:name>TC31_project_id</con:name><con:value>${#Project#project_id}</con:value></con:property><con:property><con:name>TC31_project_name</con:name><con:value>${#Project#project_name}</con:value></con:property></con:properties></con:testCase><con:properties/></con:testSuite><con:testSuite id="f07fe9ac-9789-4c4d-90ca-d34fb8a5a474" name="TestSuiteNo4 TC Env Properties OK"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="1b7e1c52-0ae4-4248-9753-02e02da2e095" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCaseNo41_TC_Env_Properties_OK" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="REST Request No411 TC Env Properties" id="da136496-d875-4f43-b49e-3afcfb3e0acd"><con:settings/><con:config service="https://gitlab.com" resourcePath="/api/v4/projects/{project_id}" methodName="GET_id_36483577" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="REST Request No5 Env_Properties" id="f7732c63-f9fe-4480-a644-f9b183b0e930" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>https://gitlab.com</con:endpoint><con:request/><con:originalUri>https://gitlab.com/api/v4/projects/29428053</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="47f48d84-1068-4b3b-8ed1-3c19c64431c6" name="Valid HTTP Status Codes"><con:configuration><codes>200</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="d85c6249-2df8-45f2-8f13-8f87f0418fbf" name="Contains"><con:configuration><token>"${#TestCase#TC41_project_name}"</token><ignoreCase>true</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="project_id" value="${#TestCase#TC41_project_id}" xmlns="http://eviware.com/soapui/config"/></con:parameters><con:parameterOrder><con:entry>project_id</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:properties><con:property><con:name>TC41_project_id</con:name><con:value>${#Env#DS_PROJECT_ID}</con:value></con:property><con:property><con:name>TC41_project_name</con:name><con:value>${#Env#DS_PROJECT_NAME}</con:value></con:property></con:properties></con:testCase><con:properties/></con:testSuite><con:testSuite id="226cd129-19a2-43f9-8451-62f553d966ce" name="TestSuiteNo5 TC Global Properties OK"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="0d86d3e4-741b-4c06-bc53-08d7d92a3034" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCaseNo51_TC_Global_Properties_OK" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="REST Request No511 TC Global Properties" id="e141421a-b008-4f53-88d4-26158762aba6"><con:settings/><con:config service="https://gitlab.com" resourcePath="/api/v4/projects/{project_id}" methodName="GET_id_36483577" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="REST Request No5 Env_Properties" id="f7732c63-f9fe-4480-a644-f9b183b0e930" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>https://gitlab.com</con:endpoint><con:request/><con:originalUri>https://gitlab.com/api/v4/projects/29428053</con:originalUri><con:assertion type="Valid HTTP Status Codes" id="47f48d84-1068-4b3b-8ed1-3c19c64431c6" name="Valid HTTP Status Codes"><con:configuration><codes>200</codes></con:configuration></con:assertion><con:assertion type="Simple Contains" id="d85c6249-2df8-45f2-8f13-8f87f0418fbf" name="Contains"><con:configuration><token>"${#TestCase#TC51_project_name}"</token><ignoreCase>true</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="project_id" value="${#TestCase#TC51_project_id}" xmlns="http://eviware.com/soapui/config"/></con:parameters><con:parameterOrder><con:entry>project_id</con:entry></con:parameterOrder></con:restRequest></con:config></con:testStep><con:properties><con:property><con:name>TC51_project_id</con:name><con:value>${G_PROJECT_ID}</con:value></con:property><con:property><con:name>TC51_project_name</con:name><con:value>${G_PROJECT_NAME}</con:value></con:property></con:properties></con:testCase><con:properties/></con:testSuite><con:properties><con:property><con:name>project_id</con:name><con:value>29428053</con:value></con:property><con:property><con:name>project_name</con:name><con:value>postman-samples</con:value></con:property></con:properties><con:wssContainer/><con:oAuth2ProfileContainer/><con:oAuth1ProfileContainer/><con:sensitiveInformation/></con:soapui-project>